AbstractReceiverServlet (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.servlet.AbstractReceiverServlet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet
Class AbstractReceiverServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mule.transport.servlet.AbstractReceiverServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

Direct Known Subclasses:
  MuleReceiverServlet

    public abstract class AbstractReceiverServlet

extends HttpServlet

A base servlet used to receive requests from a servlet container and route them into Mule

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_CONTENT_TYPE_PROPERTY`
`static long` | `DEFAULT_GET_TIMEOUT`
`static String` | `DEFAULT_PAYLOAD_PARAMETER_NAME`
`protected String` | `defaultContentType`
`protected boolean` | `feedback`
`static String` | `FEEDBACK_PROPERTY`
`protected Log` | `logger` logger used by this class
`static String` | `PAYLOAD_PARAMETER_NAME`
`protected String` | `payloadParameterName`
`static String` | `REQUEST_TIMEOUT_PROPERTY`
`static String` | `SERVLET_CONNECTOR_NAME_PROPERTY` The name of the servlet connector to use with this Servlet
`protected long` | `timeout`

Constructor Summary
`AbstractReceiverServlet()`

Method Summary
`protected void` | `doInit()`
`protected void` | `doInit(ServletConfig servletConfig)`
`protected void` | `handleException(Throwable exception, String message, HttpServletResponse response)`
`void` | `init()`
`void` | `init(ServletConfig servletConfig)`
`protected HttpServletResponse` | `setHttpHeadersOnServletResponse(HttpResponse httpResponse, HttpServletResponse servletResponse)`
`protected void` | `writeResponse(HttpServletResponse servletResponse, MuleMessage message)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  logger used by this class

### REQUEST_TIMEOUT_PROPERTY

    public static final String REQUEST_TIMEOUT_PROPERTY

See Also:
  Constant Field Values

### FEEDBACK_PROPERTY

    public static final String FEEDBACK_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_CONTENT_TYPE_PROPERTY

    public static final String DEFAULT_CONTENT_TYPE_PROPERTY

See Also:
  Constant Field Values

### SERVLET_CONNECTOR_NAME_PROPERTY

    public static final String SERVLET_CONNECTOR_NAME_PROPERTY

  The name of the servlet connector to use with this Servlet

  See Also:
    Constant Field Values

### PAYLOAD_PARAMETER_NAME

    public static final String PAYLOAD_PARAMETER_NAME

See Also:
  Constant Field Values

### DEFAULT_PAYLOAD_PARAMETER_NAME

    public static final String DEFAULT_PAYLOAD_PARAMETER_NAME

See Also:
  Constant Field Values

### DEFAULT_GET_TIMEOUT

    public static final long DEFAULT_GET_TIMEOUT

See Also:
  Constant Field Values

### payloadParameterName

    protected String payloadParameterName

### timeout

    protected long timeout

### feedback

    protected boolean feedback

### defaultContentType

    protected String defaultContentType

Constructor Detail

### AbstractReceiverServlet

    public AbstractReceiverServlet()

Method Detail

### init

    public final void init()
                    throws ServletException

  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### init

    public final void init(ServletConfig servletConfig)
                    throws ServletException

  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### doInit

    protected void doInit(ServletConfig servletConfig)
                   throws ServletException

  Throws:
    `ServletException`

### doInit

    protected void doInit()
                   throws ServletException

  Throws:
    `ServletException`

### writeResponse

    protected void writeResponse(HttpServletResponse servletResponse,
                                 MuleMessage message)
                          throws Exception

  Throws:
    `Exception`

### setHttpHeadersOnServletResponse

    protected HttpServletResponse setHttpHeadersOnServletResponse(HttpResponse httpResponse,
                                                                  HttpServletResponse servletResponse)

### handleException

    protected void handleException(Throwable exception,
                                   String message,
                                   HttpServletResponse response)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.